<template>
	<view class="lightbg">
		<!-- 	<view class="topbar" :style="{top:topStatusBar + 'px'}">
			<img src="https://ikea-mrm.woaap.com/images/mask/bar.png" alt="">
			<view class="goback" @click="goback">
				
			</view>
		</view> -->
		<view class="contentbox">
			<img class="logo" src="https://ikea-mrm.woaap.com/images/paint/logo.png" alt="" />
			<img @click="goRank" class="rankList" src="https://ikea-mrm.woaap.com/images/diy/rankList.png" alt="" />
			<img @click="goUserinfo" class="medal" src="https://ikea-mrm.woaap.com/images/diy/mymedal.png" alt="" />
			<view class="progressBox">
				<view class="t1">爱心传递</view>
				<view class="t2">{{ progress }}</view>
				<view class="t3">/10000</view>
				<view class="progress"><view class="bar" :style="{ width: percent + '%' }"></view></view>
			</view>
			<view class="btngroup">
				<button class="btn share" open-type="share" @click="share"></button>
				<button class="btn  more" @click="golist"></button>
			</view>

			<!-- <img class="share" src="https://ikea-mrm.woaap.com/images/mask/light/share.png" alt=""> -->
		</view>
		<view class="popup" v-if="isshowpop">
			<view class="popmain">
				<img @click="isshowpop = false" class="close" src="https://ikea-mrm.woaap.com/images/diy/close.png" />
				<view class="name">{{ userInfo.nickName }}:</view>
				<img class="popicon" src="https://ikea-mrm.woaap.com/images/diy/popbg2.png" />
				<img @click="okay" class="btn" src="https://ikea-mrm.woaap.com/images/diy/accept.png" />
			</view>
		</view>
	</view>
</template>

<script>
export default {
	data() {
		return {
			progress: 0,
			percent: 0,
			isshowpop: true,
			userInfo: getApp().globalData.userInfo,
			uid: getApp().globalData.uid,
			topStatusBar: getApp().globalData.topStatusBar
		};
	},
	onShow() {
		getApp().td_app_sdk.event({
			id: '/diy/light',
			label: 'pv',
			params: {}
		});
	},
	onShareAppMessage: function(res) {
		return {
			title: '玩转生活创意 让地球更美好',
			path: 'pages/index/index',
			imageUrl: 'https://ikea-mrm.woaap.com/images/share/share_diy.png'
		};
	},
	onLoad(option) {
		this.progress = option.nownum;
		this.percent = (this.progress / 10000) * 100;
		console.log(this.topStatusBar);
	},
	methods: {
		golist() {
			getApp().td_app_sdk.event({
				id: 'diy参与更多',
				label: 'click'
			});
			wx.reLaunch({
				url: '/pages/list/list'
			});
		},
		share() {
			getApp().td_app_sdk.event({
				id: 'diy爱心接力',
				label: 'click'
			});
		},
		okay() {
			this.isshowpop = false;
			getApp().td_app_sdk.event({
				id: 'diy开心收下',
				label: 'click'
			});
		},
		goRank() {
			getApp().td_app_sdk.event({
				id: 'diy全国玩家排行榜',
				label: 'click'
			});
			uni.navigateTo({
				url: '/pages/mask/rank'
			});
		},
		goUserinfo() {
			getApp().td_app_sdk.event({
				id: 'diy我的勋章',
				label: 'click'
			});
			wx.request({
				url: getApp().globalData.baseUrl + 'api/access.php?a=userinfo',
				method: 'POST',
				header: {
					'content-type': 'application/x-www-form-urlencoded' //自定义请求头信息
				},
				data: {
					uid: getApp().globalData.uid
				},
				success: res => {
					console.log(res.data.data);
					wx.setStorageSync('gameInfo', res.data.data);
					uni.navigateTo({
						url: '/pages/userinfo/userinfo2'
					});
				}
			});
		},
		goback() {
			wx.navigateBack();
		}
	}
};
</script>

<style lang="less" scoped>
.lightbg {
	width: 100vw;
	height: 100vh;
	overflow: hidden;
	position: relative;
	.topbar {
		width: 736rpx;
		height: 99rpx;
		position: absolute;
		left: 0;
		z-index: 9;
		img {
			width: 100%;
			height: 100%;
		}
		.goback {
			width: 60rpx;
			height: 100%;
			position: absolute;
			top: 0;
			left: 15rpx;
		}
	}
	.popup {
		position: absolute;
		top: 0;
		left: 0;
		width: 100%;
		height: 100%;
		background: rgba(0, 0, 0, 0.65);
		display: flex;
		justify-content: center;
		z-index: 999;
		.popmain {
			width: 599rpx;
			height: 1056rpx;
			display: flex;
			flex-direction: column;
			align-items: center;
			position: relative;
			.name {
				position: absolute;
				left: 310rpx;
				top: 655rpx;
				font-size: 28rpx;
				font-family: '黑体';
				font-weight: bold;
				color: #333333;
			}
			.close {
				position: absolute;
				top: 284rpx;
				right: 35rpx;
				width: 27rpx;
				height: 26rpx;
				z-index: 1;
			}
			.popicon {
				width: 599rpx;
				height: 1056rpx;
				margin-top: -5px;
			}
			.btn {
				position: absolute;
				width: 294rpx;
				height: 99rpx;
				bottom: 48rpx;
				left: 50%;
				transform: translate(-50%, 0);
			}
		}
	}
	.contentbox {
		width: 750rpx;
		height: 1624rpx;
		position: absolute;
		top: 50%;
		left: 50%;
		transform: translate(-50%, -50%);
		display: flex;
		flex-direction: column;
		align-items: center;
		background: url('https://ikea-mrm.woaap.com/images/diy/lightbg.jpg') no-repeat;
		background-size: 100% 100%;
		.logo {
			position: absolute;
			width: 683rpx;
			height: 87rpx;
			top: 230rpx;
			left: 50%;
			transform: translate(-50%, 0);
			z-index: 9;
		}
		.lighttop {
			position: absolute;
			width: 750rpx;
			height: 826rpx;
			top: -30rpx;
			left: 50%;
			transform: translate(-50%, 0);
		}
		.rankList {
			position: absolute;
			width: 178rpx;
			height: 46rpx;
			top: 395rpx;
			right: 0;
		}
		.medal {
			position: absolute;
			width: 289rpx;
			height: 83rpx;
			top: 775rpx;
			left: 50%;
			transform: translate(-50%, 0);
		}

		.progressBox {
			width: 620rpx;
			height: 65rpx;
			position: absolute;
			top: 1195rpx;
			left: 50%;
			transform: translate(-50%, 0);
			display: flex;
			align-items: flex-end;
			justify-content: space-between;
			.t1,
			.t2,
			.t3 {
				position: absolute;
				bottom: 40rpx;
				font-family: '黑体';
				font-weight: 800;
				line-height: 22rpx;
				color: #333333;
			}
			.t1 {
				left: 10rpx;
				font-size: 24rpx;
			}
			.t2 {
				right: 78rpx;
				font-size: 24rpx;
			}
			.t3 {
				right: 10rpx;
				font-size: 20rpx;
				font-weight: 900;
			}
			.progress {
				width: 620rpx;
				height: 22rpx;
				background: #fbf9fa;
				border-radius: 30rpx;
				position: relative;
				overflow: hidden;
				// border-bottom: 2rpx solid #d4d4d4;
				.bar {
					position: absolute;
					top: 0;
					left: 0;
					height: 100%;
					// width: 20%;
					background: #a5d54e;
					border-bottom: 2rpx solid #6f9a30;
					border-radius: 30rpx;
				}
			}
		}

		.btngroup {
			width: 100%;
			height: 99rpx;
			position: absolute;
			top: 1300rpx;
			box-sizing: border-box;
			padding: 0 30rpx;
			display: flex;
			flex-direction: row;
			justify-content: space-between;
			.btn {
				width: 282rpx;
				height: 80rpx;
				background: none;
			}
			.share {
				background-image: url(https://ikea-mrm.woaap.com/images/diy/share.png);
				background-size: 100% 100%;
			}
			.more {
				background-image: url(https://ikea-mrm.woaap.com/images/diy/more.png);
				background-size: 100% 100%;
			}
			.btn::after {
				border: none !important;
			}
		}
	}
}
</style>
